@rem  --------------------------------------------------------
@rem  %1 is transmit filename (saved in file 'b2s_in.sav')
@rem  %2 is percentage of redundancy symbols used in the outer code
@rem
@rem  output of this batch file is 'f2w_out.wav'
@rem  --------------------------------------------------------

@del b2s_in.sav
@del f2w_out.wav

@IF "%1"=="" GOTO USEAGE
@IF "%2"=="" GOTO USEAGE
@IF "%3"=="" GOTO USEAGE
@IF NOT EXIST %1 GOTO FNF
@IF "%2"=="10" GOTO POK
@IF "%2"=="20" GOTO POK
@IF "%2"=="40" GOTO POK
@IF "%2"=="70" GOTO POK
@ECHO 2nd parameter must be one of: 10, 20, 40, or 70
@GOTO USEAGE
:POK
copy %1 b2s_in.sav
BIN2SYM %1 %2
MODPM B2S_OUT.SYM MOD_OUT.FLT

@  REM If you don't want the two tone and chirp signals,
@  REM comment out the next line and uncomment the one after it
COPY /B 2TONE-03.FLT /B +CHIRP3B.FLT /B +MOD_OUT.FLT f2w_in.flt
@REM COPY MOD_OUT.FLT f2w_in.flt

FLT2WAV f2w_in.flt f2w_out.wav
RENAME f2w_out.wav %3

@ECHO OFF
@del f2w_in.flt
@CALL CLN_TX.BAT

GOTO END
:FNF
@ECHO Could not find file %1
:USEAGE
@ECHO Three parameters are required:
@ECHO  1st is the name of the file to be transfered
@ECHO  2nd is one of the numbers: 10, 20, 40 or 70
@ECHO  3rd is the name of the output wav file to be generated
@ECHO The second parameter specifies what percentage of the outer code
@ECHO  symbols to make redundant.
@ECHO For example, to make the wav file xyz.wav for transfering the file
@ECHO  xyz.png with 20%% redundancy, the command would be:
@ECHO      HD-T xyz.png 20 xyz.wav 
:END
